## hyphen-ta 0.5.5

=== Makefile ===
# Hyphenation Makefile
# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
# Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation;
#  version 3 or later version of the License.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

DESTDIR = 
hyphdir = /usr/share/hyphen/
dictdir = /usr/share/myspell/dicts/
ooo_info_dir = /usr/share/myspell/infos/ooo/
docdir = /usr/share/doc/openoffice.org-hyphenation-ta/


dict_files = hyph_ta_IN.dic
doc_files = README ChangeLog
extra_files = Makefile
ooo_info_file = openoffice.org-hyphenation-ta
version = 0.5.5

distdir=hyphen-ta_${version}

all: ${doc_files} ${dict_files}

install: all
	mkdir -p ${DESTDIR}${ooo_info_dir}
	cp ${ooo_info_file}  ${DESTDIR}${ooo_info_dir}
	mkdir -p ${DESTDIR}${docdir}
	cp ${doc_files} ${DESTDIR}${docdir}
	mkdir -p ${DESTDIR}${hyphdir}
	cp ${dict_files} ${DESTDIR}${hyphdir}
	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
	mkdir -p ${DESTDIR}${dictdir}
	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
	update-openoffice-dicts 
	
	
uninstall:
	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}
	-cd ${DESTDIR}${docdir}/ && rm ${doc_files}
	-cd ${DESTDIR}${ooo_info_dir}/ && rm ${ooo_info_file}
	-cd ${DESTDIR}${hyphdir}/ && rm ${dict_files}
	
clean:
	-rm -rf ${distdir}.tar.bz2 ${distdir}	
	
dist:
	-rm -rf ${distdir}.tar.bz2 ${distdir}
	mkdir ${distdir}
	cp -p ${dict_files}  ${doc_files} ${ooo_info_file}  ${extra_files} ${distdir}/
	tar cf ${distdir}.tar ${distdir}/
	bzip2 -9 ${distdir}.tar
	rm -rf ${distdir}/

## hyphen-ta 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Hyphenation Makefile
-# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
+# Copyright (C) 2009-2011 Shravan Aras <123.shravan@gmail.com>
 # Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
 #
 #  This library is free software; you can redistribute it and/or
@@ -20,16 +20,16 @@
 hyphdir = /usr/share/hyphen/
 dictdir = /usr/share/myspell/dicts/
 ooo_info_dir = /usr/share/myspell/infos/ooo/
-docdir = /usr/share/doc/openoffice.org-hyphenation-ta/
+docdir = /usr/share/doc/hyphen-ta/
 
 
 dict_files = hyph_ta_IN.dic
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-ta
-version = 0.5.5
+version = 0.7.0
 
-distdir=hyphen-ta_${version}
+distdir=hyphen-ta-${version}
 
 all: ${doc_files} ${dict_files}
 
@@ -42,10 +42,8 @@
 	cp ${dict_files} ${DESTDIR}${hyphdir}
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
-	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	update-openoffice-dicts 
-	
-	
+	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
+
 uninstall:
 	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}
 	-cd ${DESTDIR}${docdir}/ && rm ${doc_files}

=== debian/changelog ===
hyphen-ta (0.7.0-1) unstable; urgency=low

  * Team Upload.
  * Initial release. (Closes: #542433)

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Wed, 07 Mar 2012 18:20:32 +0530

=== debian/control ===
Source: hyphen-ta
Section: text
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Muneeb Shaikh <iammuneeb@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>= 0.10)
Standards-Version: 3.9.3
Homepage: http://wiki.smc.org.in/Hyphenation
Vcs-Git: git://git.debian.org/debian-in/hyphen-ta.git
Vcs-Browser: http://git.debian.org/?p=debian-in/hyphen-ta.git;a=summary

Package: hyphen-ta
Architecture: all
Depends: ${misc:Depends},
         dictionaries-common (>= 0.10)
Recommends: libreoffice-writer | openoffice.org-writer
Description: Tamil hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation is the process of inserting hyphens in between the syllables of
 a word so that when the text is justified, maximum space is utilized.
 .
 This package provides the hyphenation rules for Tamil language.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm debian/hyphen-ta/usr/share/doc/hyphen-ta/ChangeLog
	mv debian/hyphen-ta/usr/share/myspell/infos/ooo/openoffice.org-hyphenation-ta \
		debian/hyphen-ta/usr/share/myspell/infos/ooo/hyphen-ta

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/hyphenation/patterns/hyphen-ta-(.*)\.tar\.bz2 debian uupdate
